README.source for the obfsproxy package
=======================================

obfsproxy is managed in a Git repository using git-buildpackage.

Upstream tarballs are imported using git-import-orig with:

 * `--pristine-tar` to record upstream tarball,
 * `--upstream-vcs-tag` to link upstream source repository.

Quilt patches are managed using gbp-pq.

Packaging practices also follow most of the advices provided by Russ
Allbery at: <http://www.eyrie.org/~eagle/notes/debian/git.html>

The branches are organized as follow:

  * upstream: tracks the "master" branch of upstream repository [1]
  * patch-queue/*: branches exported to quilt patches (handled by gbp-pq)
  * master: export of patch-queue/* branches and Debian specific changes

[1] <https://git.torproject.org/pluggable-transports/obfsproxy.git>
